@import url(https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700&display=swap);
@import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap);
:root {
  /* colors */
  --color-primary: #027e5b;
  --color-secondary: #064660;
  --color-text: #454545;
  --color-info: #d1e2ff;
  --color-info-hover: #1a6eff;
  --color-success: #1a5a11;
  --color-warning: #f09719;
  --color-danger: #d33131;
  --font-family-primary: "Montserrat", sans-serif;
  --font-family-secondary: "Poppins", cursive;
  --font-size-default: 0.938rem;
  --font-size-h1: 1.5rem;
  --font-size-h2: 1.25rem;
  --font-size-h3: 1.125rem;
  --font-size-h4: 1.025rem;
  --font-size-small: 0.8rem;
  --font-size-smaller: 0.65rem;
  --font-size-big: 2rem;
}

* {
  padding: 0;
  margin: 0;
  outline: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--font-family-primary);
  font-size: var(--font-size-default);
  background-color: #fff;
  color: var(--color-text);
  overflow-x: hidden;
}

main.main {
  padding-top: 150px;
}

a {
  text-decoration: none;
}

/* =============== REUSABLE CLASSES =============== */
.box {
  background: #fff;
  padding: 20px;
  border: solid 1px #ddd;
  border-radius: 4px;
}
.box + .box {
  margin-top: 30px;
}

.title {
  font-family: var(--font-family-secondary);
  font-size: var(--font-size-h2);
  color: var(--color-secondary);
  font-weight: normal;
}

.subtitle {
  font-family: var(--font-family-secondary);
  color: var(--color-primary);
  margin-bottom: 50px;
}

.empty {
  text-align: center;
  padding: 150px 0;
}
.empty .title {
  font-size: var(--font-size-h1);
  color: var(--color-primary);
  margin-bottom: 20px;
}
.empty .subtitle {
  font-size: var(--font-size-normal);
  margin-bottom: 50px;
}

.uil-brush-alt::before {
  transform: rotate(200deg);
  position: relative;
  top: -2px;
}

.input-field {
  position: relative;
  margin-bottom: 25px;
  width: 100%;
}
.input-field input,
.input-field select,
.input-field textarea, .input-field.link {
  width: 100%;
  height: 55px;
  padding: 0 20px 0 15px;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0;
  font-weight: normal;
  transition: padding 0.3s;
}
.input-field input:not(:-moz-placeholder-shown), .input-field select:not(:-moz-placeholder-shown), .input-field textarea:not(:-moz-placeholder-shown), .input-field.link:not(:-moz-placeholder-shown) {
  padding-top: 17px;
}
.input-field input:not(:-ms-input-placeholder), .input-field select:not(:-ms-input-placeholder), .input-field textarea:not(:-ms-input-placeholder), .input-field.link:not(:-ms-input-placeholder) {
  padding-top: 17px;
}
.input-field input:focus, .input-field input:not(:placeholder-shown),
.input-field select:focus,
.input-field select:not(:placeholder-shown),
.input-field textarea:focus,
.input-field textarea:not(:placeholder-shown), .input-field.link:focus, .input-field.link:not(:placeholder-shown) {
  padding-top: 17px;
}
.input-field input:not(:-moz-placeholder-shown) ~ label.label, .input-field select:not(:-moz-placeholder-shown) ~ label.label, .input-field textarea:not(:-moz-placeholder-shown) ~ label.label, .input-field.link:not(:-moz-placeholder-shown) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field input:not(:-ms-input-placeholder) ~ label.label, .input-field select:not(:-ms-input-placeholder) ~ label.label, .input-field textarea:not(:-ms-input-placeholder) ~ label.label, .input-field.link:not(:-ms-input-placeholder) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field input:focus ~ label.label, .input-field input:not(:placeholder-shown) ~ label.label,
.input-field select:focus ~ label.label,
.input-field select:not(:placeholder-shown) ~ label.label,
.input-field textarea:focus ~ label.label,
.input-field textarea:not(:placeholder-shown) ~ label.label, .input-field.link:focus ~ label.label, .input-field.link:not(:placeholder-shown) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field input.is-invalid, .input-field input.is-invalid ~ label, .input-field input.is-invalid ~ i,
.input-field select.is-invalid,
.input-field select.is-invalid ~ label,
.input-field select.is-invalid ~ i,
.input-field textarea.is-invalid,
.input-field textarea.is-invalid ~ label,
.input-field textarea.is-invalid ~ i, .input-field.link.is-invalid, .input-field.link.is-invalid ~ label, .input-field.link.is-invalid ~ i {
  color: var(--color-danger) !important;
}
.input-field input:disabled,
.input-field select:disabled,
.input-field textarea:disabled, .input-field.link:disabled {
  color: #a1a1a1 !important;
  cursor: not-allowed !important;
}
.input-field label.label {
  position: absolute;
  left: 15px;
  top: 50%;
  transform: translateY(-50%);
  background: transparent;
  color: #707070;
  transition: top 0.3s, font-size 0.3s;
}
.input-field.icon label.label {
  left: 55px;
}
.input-field.icon input,
.input-field.icon select,
.input-field.icon textarea, .input-field.icon.link {
  padding: 0 20px 0 55px;
}
.input-field.icon input:not(:-moz-placeholder-shown), .input-field.icon select:not(:-moz-placeholder-shown), .input-field.icon textarea:not(:-moz-placeholder-shown), .input-field.icon.link:not(:-moz-placeholder-shown) {
  padding-top: 17px;
}
.input-field.icon input:not(:-ms-input-placeholder), .input-field.icon select:not(:-ms-input-placeholder), .input-field.icon textarea:not(:-ms-input-placeholder), .input-field.icon.link:not(:-ms-input-placeholder) {
  padding-top: 17px;
}
.input-field.icon input:focus, .input-field.icon input:not(:placeholder-shown),
.input-field.icon select:focus,
.input-field.icon select:not(:placeholder-shown),
.input-field.icon textarea:focus,
.input-field.icon textarea:not(:placeholder-shown), .input-field.icon.link:focus, .input-field.icon.link:not(:placeholder-shown) {
  padding-top: 17px;
}
.input-field.icon input:not(:-moz-placeholder-shown) ~ label.label, .input-field.icon select:not(:-moz-placeholder-shown) ~ label.label, .input-field.icon textarea:not(:-moz-placeholder-shown) ~ label.label, .input-field.icon.link:not(:-moz-placeholder-shown) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field.icon input:not(:-ms-input-placeholder) ~ label.label, .input-field.icon select:not(:-ms-input-placeholder) ~ label.label, .input-field.icon textarea:not(:-ms-input-placeholder) ~ label.label, .input-field.icon.link:not(:-ms-input-placeholder) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field.icon input:focus ~ label.label, .input-field.icon input:not(:placeholder-shown) ~ label.label,
.input-field.icon select:focus ~ label.label,
.input-field.icon select:not(:placeholder-shown) ~ label.label,
.input-field.icon textarea:focus ~ label.label,
.input-field.icon textarea:not(:placeholder-shown) ~ label.label, .input-field.icon.link:focus ~ label.label, .input-field.icon.link:not(:placeholder-shown) ~ label.label {
  font-size: 12px;
  top: 16px;
}
.input-field.icon i {
  position: absolute;
  left: 15px;
  top: 0;
  height: 55px;
  line-height: 55px;
  font-size: 25px;
  color: #707070;
}
.input-field textarea {
  min-height: 150px;
  resize: none;
}
.input-field textarea {
  scrollbar-width: thin;
  scrollbar-color: var(--color-secondary) #fff;
}
.input-field textarea::-webkit-scrollbar {
  width: 10px;
}
.input-field textarea::-webkit-scrollbar-track {
  background: #fff;
}
.input-field textarea::-webkit-scrollbar-thumb {
  background-color: var(--color-secondary);
  border-radius: 20px;
  border: 3px solid #fff;
}
.input-field textarea ~ label.label {
  top: 26px;
  width: calc(100% - 70px);
  background: #fff;
  height: 30px;
  padding-top: 4px;
}
.input-field textarea:not(:-moz-placeholder-shown) {
  padding-top: 30px !important;
}
.input-field textarea:not(:-ms-input-placeholder) {
  padding-top: 30px !important;
}
.input-field textarea:focus, .input-field textarea:not(:placeholder-shown) {
  padding-top: 30px !important;
}
.input-field textarea:not(:-moz-placeholder-shown) ~ label.label {
  font-size: 12px;
  padding-top: 8px;
}
.input-field textarea:not(:-ms-input-placeholder) ~ label.label {
  font-size: 12px;
  padding-top: 8px;
}
.input-field textarea:focus ~ label.label, .input-field textarea:not(:placeholder-shown) ~ label.label {
  font-size: 12px;
  padding-top: 8px;
}
.input-field input[type=file] {
  height: 65px;
  padding-top: 28px !important;
}
.input-field input[type=file] ~ label.label + i {
  line-height: 65px !important;
}
.input-field span.error,
.input-field span.error-help-block,
.input-field .invalid-feedback {
  width: 100%;
  color: var(--color-danger);
  left: 0;
  bottom: -15px;
  font-size: 10px;
  text-align: center;
  position: absolute;
}

.input-field.link {
  text-align: left;
}
.input-field.link.clean {
  padding-top: 25px !important;
}
.input-field.link.clean label.label {
  font-size: 12px;
  top: 16px;
}
.input-field.link a {
  font-weight: normal;
  text-align: left;
}

.input-field.switch-wrapper {
  display: flex;
  width: 100%;
  height: 55px;
  align-items: center;
  justify-content: center;
}
.input-field.switch-wrapper label.label {
  position: unset;
  margin-right: 20px;
  transform: none;
  top: auto;
  font-weight: 500;
}

.select2-hidden-accessible {
  border: 0 !important;
  clip: rect(0 0 0 0) !important;
  -webkit-clip-path: inset(50%) !important;
  clip-path: inset(50%) !important;
  height: 1px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 1px !important;
  white-space: nowrap !important;
}

.select2-container {
  width: 100% !important;
  position: relative;
  display: inline-block;
  vertical-align: middle;
  margin: 0;
}
.select2-container .select2-selection--single {
  cursor: pointer;
  display: block;
  height: 55px;
  -moz-user-select: none;
   -ms-user-select: none;
       user-select: none;
  -webkit-user-select: none;
  border: 1px solid #ced4da;
  background-color: #fff;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  height: 100%;
  display: block;
  padding: 25px 20px 0 15px;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: var(--color-text);
}
.select2-container .select2-selection__arrow {
  height: 26px;
  position: absolute;
  top: 1px;
  right: 1px;
  width: 20px;
}
.select2-container .select2-selection__arrow::before {
  position: absolute;
  content: "\eb3a";
  font-family: "unicons-line";
  font-size: 20px;
  top: 50%;
  right: 10px;
}
.select2-container .select2-dropdown {
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0;
  display: block;
  position: absolute;
  left: 0;
  width: 100%;
  z-index: 10000;
}
.select2-container .select2-dropdown.select2-dropdown--above {
  top: -5px;
}
.select2-container .select2-dropdown.select2-dropdown--below {
  top: 5px;
}
.select2-container .select2-search__field {
  border: 1px solid #ced4da;
  padding: 5px 10px;
  width: calc(100% - 20px);
  margin: 10px;
  resize: none;
  overflow: hidden;
  word-break: keep-all;
}
.select2-container .select2-results {
  display: block;
}
.select2-container .select2-results > .select2-results__options {
  max-height: 200px;
  overflow-y: auto;
}
.select2-container .select2-results > .select2-results__options {
  scrollbar-width: thin;
  scrollbar-color: var(--color-secondary) #fff;
}
.select2-container .select2-results > .select2-results__options::-webkit-scrollbar {
  width: 10px;
}
.select2-container .select2-results > .select2-results__options::-webkit-scrollbar-track {
  background: #fff;
}
.select2-container .select2-results > .select2-results__options::-webkit-scrollbar-thumb {
  background-color: var(--color-secondary);
  border-radius: 20px;
  border: 3px solid #fff;
}
.select2-container .select2-results .select2-results__options {
  list-style: none;
  margin: 5px;
  padding: 0;
}
.select2-container .select2-results .select2-results__option {
  padding: 6px;
  padding-left: 1em;
  -moz-user-select: none;
   -ms-user-select: none;
       user-select: none;
  -webkit-user-select: none;
}
.select2-container .select2-results .select2-results__option--selectable {
  cursor: pointer;
}
.select2-container .select2-results .select2-results__option--highlighted {
  background-color: var(--color-secondary);
  color: #fff;
}
.select2-container .select2-results .select2-results__message {
  color: var(--color-danger);
  text-align: center;
  padding-right: 10px;
}

.input-field.icon .select2-selection__rendered {
  padding-left: 55px;
}

label.checkbox {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  margin: auto;
}
label.checkbox.disabled {
  opacity: 0.3;
  pointer-events: none;
}
label.checkbox input {
  display: none;
}
label.checkbox input:checked ~ .checkbox-mark {
  background-color: var(--color-secondary);
  border-color: var(--color-secondary);
}
label.checkbox input:checked ~ .checkbox-mark:after {
  display: initial;
  border-color: #fff;
}
label.checkbox .checkbox-mark {
  position: relative;
  width: 20px;
  height: 20px;
  background-color: #fefefe;
  border: 1px #ddd solid;
  cursor: pointer;
}
label.checkbox .checkbox-mark:after {
  display: none;
  width: 6px;
  height: 10px;
  position: absolute;
  content: "";
  top: 3px;
  left: 6px;
  border-width: 0 2px 3px 0;
  border: solid #fff;
  border-color: #bebebe;
  border-top: 0px;
  border-left: 0px;
  transform: rotate(45deg);
}
label.checkbox .checkbox-mark:hover:after {
  display: initial;
}
label.checkbox label {
  padding-left: 1em;
  cursor: pointer;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: #444;
}
label.checkbox label:hover ~ .checkbox-mark:after {
  display: initial;
}

.btn {
  box-shadow: none !important;
  border-radius: 0;
  letter-spacing: 1px;
  font-weight: 500;
  border: none;
}

.btn-main {
  background: linear-gradient(130deg, var(--color-secondary) 50%, var(--color-primary) 50%);
  background-size: 225%;
  color: #fff;
  transition: all 0.3s ease;
}
.btn-main:hover {
  color: #fff;
  background-position-x: 100%;
}

.btn-link {
  text-decoration: none;
  color: #0d6efd;
  transition: all 0.4s ease;
}
.btn-link:hover {
  color: #0dcaf0;
}

.alert-wrapper {
  position: fixed;
  top: 30px;
  right: 0;
  z-index: 150;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: end;
}
.alert-wrapper .alert {
  color: #fff;
  border: none;
  margin: 10px 30px 10px 20px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
  -webkit-animation-name: bounceInRight;
          animation-name: bounceInRight;
  -webkit-animation-timing-function: ease-out;
          animation-timing-function: ease-out;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
  -webkit-animation-duration: 1.2s;
          animation-duration: 1.2s;
}
.alert-wrapper .alert.fadeOut {
  -webkit-animation-name: bounceOut;
          animation-name: bounceOut;
  -webkit-animation-duration: 0.8s;
          animation-duration: 0.8s;
}
.alert-wrapper .alert-success {
  background-color: var(--color-success);
}
.alert-wrapper .alert-warning {
  background-color: var(--color-warning);
}
.alert-wrapper .alert-danger {
  background-color: var(--color-danger);
}
.alert-wrapper .alert-info {
  background-color: var(--color-info);
  color: var(--color-info-hover);
}
.alert-wrapper .btn-close {
  background: none;
  color: inherit;
}
.alert-wrapper .btn-close::after {
  font-size: 22px;
  line-height: 0;
  position: relative;
  content: "\e9b8";
  font-family: "unicons-line";
  right: 5px;
  bottom: 1.5px;
}

@-webkit-keyframes bounceInRight {
  from, 60%, 75%, 90%, to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  from {
    opacity: 0;
    transform: translate3d(3000px, 0, 0);
  }
  60% {
    opacity: 1;
    transform: translate3d(-25px, 0, 0);
  }
  75% {
    transform: translate3d(10px, 0, 0);
  }
  90% {
    transform: translate3d(-5px, 0, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes bounceInRight {
  from, 60%, 75%, 90%, to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  from {
    opacity: 0;
    transform: translate3d(3000px, 0, 0);
  }
  60% {
    opacity: 1;
    transform: translate3d(-25px, 0, 0);
  }
  75% {
    transform: translate3d(10px, 0, 0);
  }
  90% {
    transform: translate3d(-5px, 0, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}
@-webkit-keyframes bounceOut {
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(0.95);
  }
  50% {
    opacity: 1;
    transform: scale(1.1);
  }
  100% {
    opacity: 0;
    transform: scale(0);
  }
}
@keyframes bounceOut {
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(0.95);
  }
  50% {
    opacity: 1;
    transform: scale(1.1);
  }
  100% {
    opacity: 0;
    transform: scale(0);
  }
}
.loading-wrapper {
  position: fixed !important;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1500;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #eee;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s;
}
.loading-wrapper.show {
  opacity: 1;
  visibility: visible;
}
.loading-wrapper h3 {
  color: #eee;
  margin-bottom: 100px;
}
.loading-wrapper .spinner::before {
  position: absolute;
  content: " ";
  box-sizing: border-box;
  top: 50%;
  left: 50%;
  height: 60px;
  width: 60px;
  margin: -30px 0 0 -30px;
  border-radius: 50%;
  border-top: 3px solid coral;
  border-left: 3px solid coral;
  border-right: 3px solid transparent;
  -webkit-animation: spinner 0.7s linear infinite;
          animation: spinner 0.7s linear infinite;
}

@-webkit-keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}
table.table {
  font-family: var(--font-secondary);
  border-collapse: separate;
  border-spacing: 0 10px;
  padding: 0 8px;
}
table.table thead {
  margin-bottom: 50px;
}
table.table thead tr {
  display: table-row;
  vertical-align: middle;
}
table.table thead th {
  font-weight: 500;
}
table.table thead th:first-of-type {
  padding-left: 15px;
}
table.table thead th:last-of-type {
  padding-right: 15px;
}
table.table tbody tr {
  background-color: #fcfcfc;
  border-radius: 0 !important;
}
table.table tbody td {
  vertical-align: middle;
  background: #fcfcfc;
  padding-top: 15px;
  padding-bottom: 15px;
  color: var(--color-text);
  white-space: nowrap;
  max-width: 160px;
  overflow: hidden;
  text-overflow: ellipsis;
}
table.table tbody td:first-of-type {
  padding-left: 15px;
  border-radius: 0 !important;
}
table.table tbody td:last-of-type {
  padding-right: 15px;
  border-radius: 0 !important;
}
table.table tfoot td {
  vertical-align: middle;
  white-space: nowrap;
}
table.table tfoot td:first-of-type {
  padding-left: 25px;
}
table.table tfoot td.arrow {
  font-size: 22px;
  text-align: center;
  position: relative;
  top: -5px;
}

span.status {
  position: relative;
  padding-left: 20px;
}
span.status::before {
  position: absolute;
  content: "";
  width: 10px;
  height: 10px;
  border-radius: 10px;
  left: 0;
  top: calc(50% - 5px);
}
span.status.info {
  color: var(--color-info-hover);
}
span.status.info::before {
  background: var(--color-info-hover);
}
span.status.success {
  color: var(--color-success);
}
span.status.success::before {
  background: var(--color-success);
}
span.status.danger {
  color: var(--color-danger);
}
span.status.danger::before {
  background: var(--color-danger);
}
span.status.warning {
  color: var(--color-warning);
}
span.status.warning::before {
  background: var(--color-warning);
}

.td-center {
  text-align: center;
}

.td-check {
  width: 65px !important;
  padding-left: 15px !important;
  margin-right: 15px !important;
}

.actions {
  width: 0;
}
.actions:hover i {
  color: var(--color-secondary);
}
.actions i {
  font-size: 22px;
  color: var(--color-text);
  transition: color 0.4s;
}

.filter {
  display: none;
}
.filter .input-field {
  margin: 0;
}

.dataTables_wrapper {
  position: relative;
  clear: both;
  padding: 80px 0 60px 0;
}
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
  position: absolute;
  top: 0;
}
.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_paginate {
  position: absolute;
  bottom: 0;
}
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_info {
  left: 10px;
}
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_paginate {
  right: 10px;
}
.dataTables_wrapper .dataTables_empty {
  text-align: center !important;
  font-weight: 400 !important;
  padding: 30px 0 !important;
}
.dataTables_wrapper .dataTables_length select {
  margin: 0 5px;
  padding: 13px;
  text-align: center;
  background: #fff;
  border: solid 1px #f1f1f1;
  border-radius: 5px;
}
.dataTables_wrapper .dataTables_filter label {
  display: flex;
  align-items: center;
  position: relative;
}
.dataTables_wrapper .dataTables_filter label i {
  position: absolute;
  right: 20px;
  opacity: 0.5;
  font-size: 28px;
  line-height: 28px;
}
.dataTables_wrapper .dataTables_filter label input {
  height: 38px;
  width: 300px;
  padding: 25px 50px 25px 25px;
  background: #fff;
  border: solid 1px #f1f1f1;
  border-radius: 5px;
}
.dataTables_wrapper .dataTables_paginate {
  height: 40px;
  line-height: 40px;
  display: flex;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.previous, .dataTables_wrapper .dataTables_paginate .paginate_button.next {
  font-size: 30px;
  color: var(--color-secondary);
  cursor: pointer;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.previous.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.next.disabled {
  pointer-events: none;
  opacity: 0.5;
}
.dataTables_wrapper .dataTables_paginate span {
  padding: 0 10px;
}
.dataTables_wrapper .dataTables_paginate span .paginate_button {
  font-size: 18px;
  position: relative;
  text-align: center;
  margin: 0 12px;
  cursor: pointer;
  color: transparent;
}
.dataTables_wrapper .dataTables_paginate span .paginate_button::before {
  position: absolute;
  left: 50%;
  top: 0;
  transform: translateX(-50%);
  content: "";
  width: 30px;
  height: 100%;
  border: solid 8px #fff;
  border-radius: 0;
  background: var(--color-secondary);
  transition: all 0.3s ease;
}
.dataTables_wrapper .dataTables_paginate span .paginate_button:hover::before {
  background: var(--color-primary);
}
.dataTables_wrapper .dataTables_paginate span .paginate_button.current::before {
  background: #fff;
  border: solid 8px var(--color-primary);
}

.dataTables_processing {
  display: none !important;
}

.switch-wrapper {
  display: inline-block;
  position: relative;
  width: 46px;
  height: 55px;
}
.switch-wrapper label.label-switch {
  position: relative;
  width: 46px;
  height: 18.4px;
}
.switch-wrapper input[type=checkbox] {
  display: none;
}
.switch-wrapper input[type=checkbox]:checked ~ .toggle {
  background: #1a5a11;
  left: 23.92px;
  transition: 0.5s;
}
.switch-wrapper input[type=checkbox]:checked ~ .switch {
  background: rgba(26, 90, 17, 0.6);
  transition: 0.5s;
}
.switch-wrapper .switch {
  display: block;
  width: 46px;
  height: 18.4px;
  background: #ddd;
  border-radius: 9.2px;
  position: absolute;
  top: 0;
  cursor: pointer;
  transition: 0.5s;
}
.switch-wrapper .toggle {
  height: 25.76px;
  width: 25.76px;
  border-radius: 50%;
  background: #939393;
  cursor: pointer;
  position: absolute;
  top: -3.68px;
  left: -3.68px;
  box-shadow: 0 0.92px 1.84px rgba(0, 0, 0, 0.4);
  transition: 0.5s;
}

.modal .modal-content {
  border-radius: 0;
  padding: 2.5rem;
}

.modal-header {
  border: none;
  justify-content: center;
}
.modal-header .modal-title {
  font-size: 25px;
  font-weight: bold;
  color: #9f9f9f;
  font-family: var(--font-family-secondary);
}

.modal-body {
  text-align: center;
  padding: 1rem 0;
}

.modal-footer {
  justify-content: center;
  margin-top: 10px;
  border: none;
}
.modal-footer.action-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 0.75rem 0 0;
  border: none;
}
.modal-footer .action-right {
  display: flex;
  justify-content: flex-end;
  -moz-column-gap: 10px;
       column-gap: 10px;
}

.content-message {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.content-message .messages {
  width: 70%;
  background-color: #fff;
  padding: 2.5rem;
  text-align: center;
  border-radius: 5px;
  border: solid 1px #ccc;
}

.auth-wrapper {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: relative;
}

.login-content {
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: center;
  align-items: center;
  padding: 0;
}
.login-content.box::before {
  position: absolute;
  content: "";
  z-index: 1;
  top: 0;
  right: 0;
  width: 50%;
  height: 100%;
  background: #8e2de2;
  background: linear-gradient(180deg, #4a00e0, #8e2de2);
}
.login-content .image {
  height: auto;
  text-align: center;
  text-shadow: 2px 2px rgba(0, 0, 0, 0.2);
  color: #fff;
  z-index: 5;
}
.login-content .image img {
  width: 50%;
  max-width: 500px;
  margin: 30px 0;
}
.login-content .form {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.login-content .form img {
  width: 190px;
}
.login-content .form h1 {
  font-family: var(--font-family-secondary);
  margin: 30px 0;
  font-size: var(--font-size-h1);
}
.login-content .form form {
  width: 100%;
  max-width: 350px;
}
.login-content a.password {
  text-decoration: none;
  font-size: var(--font-size-small);
  color: var(--color-text);
  color: var(--color-secondary);
  opacity: 0.7;
  transition: all 0.3s;
}
.login-content a.password:hover {
  color: var(--color-primary);
  opacity: 1;
}
.login-content .btn {
  text-transform: uppercase;
}
.login-content .new-register {
  text-shadow: none;
}
.login-content .new-register a {
  font-size: var(--font-size-h4);
  color: var(--color-secondary);
  font-weight: 500;
  transition: color 0.4s;
}
.login-content .new-register a:hover {
  color: #0e59a5;
}

.topBar {
  height: 70px;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  background: linear-gradient(130deg, #01baef, #022160);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.topBar .topBar-left,
.topBar .topBar-right {
  display: flex;
  align-items: center;
}
.topBar a.logo-details {
  width: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.topBar a.logo-details img {
  width: 60px;
  margin-right: 15px;
}
.topBar a.logo-details .logo_name {
  font-size: 20px;
  color: #fff;
  font-weight: bold;
  white-space: nowrap;
  transition: 0.3s ease;
  transition-delay: 0.1s;
}
.topBar .menu-bars {
  width: 20px;
  height: 12px;
  margin-left: 25px;
  position: relative;
}
.topBar .menu-bars input {
  display: none;
}
.topBar .menu-bars input:checked ~ label div.bar:nth-child(1) {
  transform: rotate(225deg) translate(-5px, -5px);
}
.topBar .menu-bars input:checked ~ label div.bar:nth-child(2) {
  transform: translateX(30px);
  opacity: 0;
}
.topBar .menu-bars input:checked ~ label div.bar:nth-child(3) {
  transform: rotate(-225deg) translate(-5px, 5px);
}
.topBar .menu-bars label {
  width: 100%;
  height: 100%;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.topBar .menu-bars label div.bar {
  width: 100%;
  height: 2px;
  background: #ccc;
  border-radius: 0;
  transition: all 0.5s ease;
}
.topBar a.profile {
  color: #fff;
  font-weight: 500;
  text-align: right;
  display: flex;
  flex-direction: column;
  transition: all 0.4s ease;
}
.topBar a.profile small.email {
  font-weight: normal;
  font-style: italic;
  font-size: 12px;
  color: #ccc;
}
.topBar a.profile:hover {
  color: #f5f5f5;
}
.topBar a.logout {
  margin: 0 50px;
  color: #fff;
  opacity: 0.8;
  display: flex;
  align-items: center;
  transition: all 0.3s ease;
}
.topBar a.logout:hover {
  opacity: 1;
}

.page-section {
  width: 100%;
  height: calc(100vh - 70px);
  position: relative;
  top: 70px;
  background: #fcfcfc;
  display: flex;
}

.page-content {
  width: 100%;
  padding: 15px 25px 15px 10px;
  overflow: auto;
}
.page-content .page-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
}
.page-content .page-header .page-title {
  width: 60%;
  font-size: var(--font-size-big);
  color: var(--color-primary);
  font-weight: 600;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.page-content .page-header .action-buttons {
  display: inline-flex;
  align-items: center;
}
.page-content .page-header .action-buttons .btn {
  margin-left: 8px;
}

.sidebar {
  width: 280px;
  min-width: 280px;
  height: calc(100vh - 100px);
  background: linear-gradient(175deg, #181a2e, #0f3e68);
  margin: 15px;
  border-radius: 5px;
  transition: all 0.5s ease;
}
.sidebar .nav-links {
  height: 100%;
  padding: 20px 0;
  overflow: auto;
}
.sidebar .nav-links::-webkit-scrollbar {
  display: none;
}
.sidebar .nav-links > li {
  position: relative;
  list-style: none;
  margin: 10px 0;
  transition: all 0.4s ease;
}
.sidebar .nav-links > li:hover, .sidebar .nav-links > li.active {
  background: rgba(0, 0, 0, 0.2);
}
.sidebar .nav-links > li:hover i.arrow,
.sidebar .nav-links > li:hover .icon-link a,
.sidebar .nav-links > li:hover > a, .sidebar .nav-links > li.active i.arrow,
.sidebar .nav-links > li.active .icon-link a,
.sidebar .nav-links > li.active > a {
  opacity: 1;
}
.sidebar .nav-links > li.showMenu {
  background: rgba(0, 0, 0, 0.2);
}
.sidebar .nav-links > li.showMenu i.arrow {
  transform: rotate(-180deg);
}
.sidebar .nav-links > li.showMenu .sub-menu {
  display: block;
}
.sidebar .nav-links > li .icon-link {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.sidebar .nav-links > li i {
  height: 50px;
  min-width: 78px;
  text-align: center;
  line-height: 50px;
  color: #fff;
  font-size: 20px;
  cursor: pointer;
}
.sidebar .nav-links > li a {
  display: flex;
  align-items: center;
  opacity: 0.7;
  text-decoration: none;
  transition: all 0.4s ease;
}
.sidebar .nav-links > li a .link_name {
  font-size: 1rem;
  white-space: nowrap;
  color: #fff;
}
.sidebar .nav-links .sub-menu {
  padding: 6px 6px 6px 80px;
  list-style: none;
  display: none;
  z-index: 100;
  transition: all 0.3s ease;
}
.sidebar .nav-links .sub-menu.blank {
  pointer-events: auto;
  opacity: 1;
  pointer-events: none;
}
.sidebar .nav-links .sub-menu a {
  color: #fff;
  font-size: 15px;
  padding: 10px 0;
  white-space: nowrap;
  opacity: 0.6;
  transition: all 0.3s ease;
}
.sidebar .nav-links .sub-menu a:hover {
  opacity: 0.8;
}
.sidebar .nav-links .sub-menu .link_name {
  display: none;
}
.sidebar .nav-links i.arrow {
  color: #fff;
  opacity: 0.6;
  transition: all 0.3s ease;
}

.sidebar.close {
  width: 80px;
  min-width: 80px;
}
.sidebar.close .nav-links {
  overflow: visible;
}
.sidebar.close .nav-links > li:hover .sub-menu {
  top: 0;
  opacity: 1;
  pointer-events: auto;
  transition: all 0.4s ease;
}
.sidebar.close .nav-links > li .icon-link {
  display: block;
}
.sidebar.close .nav-links > li a .link_name {
  opacity: 0;
  pointer-events: none;
}
.sidebar.close .nav-links .sub-menu {
  position: absolute;
  left: 100%;
  top: -10px;
  margin-top: 0;
  margin-left: 15px;
  padding: 8px 15px;
  border-radius: 5px;
  opacity: 0;
  display: block;
  pointer-events: none;
  background: linear-gradient(135deg, #181a2e, #0f3e68);
  transition: 0s;
}
.sidebar.close .nav-links .sub-menu::before {
  position: absolute;
  content: "";
  left: -15px;
  top: 0;
  width: 20px;
  height: 100%;
  background: transparent;
}
.sidebar.close .nav-links .sub-menu .link_name {
  opacity: 1;
  color: #fff;
  display: block;
}
.sidebar.close .nav-links i.arrow {
  display: none;
}

@media (max-width: 420px) {
  .sidebar.close .nav-links li .sub-menu {
    display: none;
  }
}
.accordion-user .accordion-header .accordion-button {
  font-size: var(--font-size-h2);
  font-weight: bold;
  padding: 0;
}
.accordion-user .accordion-header .accordion-button:not(.collapsed) {
  color: var(--color-secondary);
  background-color: transparent;
  box-shadow: none;
}
.accordion-user .accordion-header .accordion-button:focus {
  border-color: transparent;
  box-shadow: none;
}
.accordion-user .accordion-body {
  padding: 50px 0 0;
}

.tableUserNumbers .numberPlan div {
  font-weight: 600;
  font-size: var(--font-size-h3);
  color: var(--color-secondary);
}
.tableUserNumbers .numberPlan small {
  color: var(--color-primary);
}

.portability-wrapper .numbers-container {
  display: flex;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  margin-top: 40px;
  white-space: normal;
}
.portability-wrapper .numbers-container .number-item {
  margin: 10px;
  padding: 8px 15px;
  border-radius: 10px;
  border-color: var(--color-primary);
  color: var(--color-primary);
  white-space: nowrap;
  font-weight: bold;
  border: solid 1px;
  cursor: pointer;
  display: flex;
  align-items: center;
}
.portability-wrapper .numbers-container .number-item.invalid {
  border-color: var(--color-danger);
  color: var(--color-danger);
}
.portability-wrapper .numbers-container .number-item small {
  font-size: 11px;
  margin-left: 7px;
}
.portability-wrapper .numbers-container .number-item input {
  display: none;
}
.portability-wrapper .number-legend {
  display: flex;
  justify-content: center;
  align-items: center;
}
.portability-wrapper .number-legend label {
  margin-right: 10px;
  font-weight: bold;
}
.portability-wrapper .number-legend .legend {
  display: flex;
  justify-content: center;
  align-items: center;
}
.portability-wrapper .number-legend .legend + .legend {
  margin-left: 15px;
}
.portability-wrapper .number-legend .legend label {
  width: 20px;
  height: 20px;
  border-radius: 10px;
  margin-right: 5px;
  background-color: var(--color-success);
}
.portability-wrapper .number-legend .legend label.invalid {
  background-color: var(--color-danger);
}
